FreePBX 13 to 14 upgrade still reports FreePBX 13 Firmware level

My Upgraded FreePBX 13 to 14

A Clean install of FreePBX 14

I would open a bug report. Think we missed actually updating that file with the Beta upgrade script. You can manually edit the file in /etc/schmooze/

But please open a ticket so we fix it in the upgrade script.

Opened.
https://issues.freepbx.org/browse/FREEPBX-15605

Hi!

LOL, there’s something funny going on…

My “failed” upgrade shows this:

Current PBX Version: 14.0.1.4
Current System Version: 12.7.3-1707-3.sng7

(ie, just like a clean install… :wink:)

So it looks like the script did actually took care of this but it doesn’t do it consistently it seems…

Have a nice day!

Nick

okay, the issue was fixed, but how do i know which version of 14 my system is on in order to manually correct this file?

Hi!

After updating everything, including with yum, I have 12.7.3-1708-1.sng7 and no other version are available…

(ie not the same version I had when I posted earlier…)

Have a nice day!

Nick

Thanks. Is there some way to know that I am on that same release now?

Is there no longer a separate firmware to install to increment this?

Hi!

If there is, I do not know…

That said, my memory is fuzzy on this but I would have thought that if you applied all the updates (including the one applied by a yum update, you would already have the right information in there…

Maybe I misunderstood what he meant but I thought @xrobau said everything would be updated with packages starting with FreePBX 14 without the need to run the scripts we had to run with FreePBX 13 and earlier…

I could be wrong about this though and I can’t seem to find where he mentioned this…

My system is now running 12.7.3-1708-1.sng7 and it was initially running 12.7.3-1707-3.sng7… The only thing I did was update my modules and run yum update as far as I can remember…

Have a nice day!

Nick

1 Like

My system is fully updated with both yum and modules (updated from the new Updates module) and it still shows this field wrong.

I would like to have it corrected.

Edit: I will manually change it to whatever if needed, but I do not know what to change it to.

Hi!

Right now, for my upgraded and fully updated install, this is what I have

Current PBX Version: 14.0.1.8
Current System Version: 12.7.3-1708-1.sng7  
Total Module Count: 118
Enabled: 89
Disabled: 25

The numbers below may be inaccurate if new modules have been released since the last check:
Last online check: 2017-09-11T16:06:54+00:00
Modules with Upgrades: 0
System Upgrades Available: 0

The last online check time is the 11 of September 2017 at 12:06 EDT (a few minutes ago)… Both modules udpates and yum were done within minutes of each other…

Have a nice day!

Nick

@tonyclewis my system still shows this bad data, what should I manually do in order to get this to start showig the version properly?

This morning I updated all modules and ran yum updates. So my system is as up to date as I can make it.

That file gets set when you do a yum update. Its set by the sangoma-pbx RPM that is installed.

what happens if you do rpm -qa | grep sangoma-pbx

1 Like

@tonyclewis this.

[[email protected] ~]# rpm -qa | grep sangoma-pbx
[[email protected] ~]# 

On a brand new (not 13 to 14 upgrade) It gives me this

[[email protected] ~]# rpm -qa | grep sangoma-pbx
sangoma-pbx-1708-1.sng7.noarch
[[email protected] ~]# 

Ok well some how on your upgraded system you are missing that RPM. My guess is you did a early upgrade that had problems and removed that RPM when you were trying to fix things. Just yum install it

1 Like

That is the first result. it returns nothing.

Sorry i figured that out and edited post before you replied here.

The upgrade was August 16th ish.
It was actually almost perfect. I had no errors in the process.

I lost my CDR logs for a bit due to a bug, this issue, and this morning had the problem with the left over firmware packages.

Wow a lot of dependencies for that.


/sigh lots of conflicts to clean up first. Thinking I was actually lucky my system worked after the upgrade.

Thanks for the help.

So this will have to wait until tomorrow.

Transaction check error:
  file /etc/logrotate.d/fail2ban from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/action.d/badips.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/action.d/blocklist_de.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/action.d/firewallcmd-ipset.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/action.d/firewallcmd-new.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/action.d/iptables-allports.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/action.d/iptables-ipset-proto4.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/action.d/iptables-ipset-proto6-allports.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/action.d/iptables-ipset-proto6.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/action.d/iptables-multiport-log.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/action.d/iptables-multiport.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/action.d/iptables-new.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/action.d/iptables-xt_recent-echo.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/action.d/iptables.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/action.d/mynetwatchman.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/action.d/route.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/action.d/sendmail.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/fail2ban.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/apache-auth.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/apache-badbots.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/apache-common.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/apache-modsecurity.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/apache-noscript.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/assp.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/asterisk.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/common.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/cyrus-imap.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/dovecot.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/ejabberd-auth.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/exim-common.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/exim-spam.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/exim.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/freeswitch.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/groupoffice.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/mysqld-auth.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/named-refused.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/nginx-http-auth.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/nsd.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/pam-generic.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/postfix-sasl.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/postfix.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/proftpd.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/pure-ftpd.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/recidive.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/roundcube-auth.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/sendmail-auth.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/sendmail-reject.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/solid-pop3d.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/squid.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/sshd-ddos.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/sshd.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/suhosin.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/vsftpd.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/filter.d/wuftpd.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/jail.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /lib/systemd/system/fail2ban.service from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /usr/bin/fail2ban-client from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /usr/bin/fail2ban-regex from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /usr/bin/fail2ban-server from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /usr/share/man/man1/fail2ban-client.1.gz from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /usr/share/man/man1/fail2ban-regex.1.gz from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /usr/share/man/man1/fail2ban-server.1.gz from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-server-0.9.7-1.el7.noarch
  file /etc/fail2ban/action.d/sendmail-common.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-sendmail-0.9.7-1.el7.noarch
  file /etc/fail2ban/action.d/sendmail-whois-lines.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-sendmail-0.9.7-1.el7.noarch
  file /etc/fail2ban/action.d/sendmail-whois.conf from install of fail2ban-fpbx-0.8.14-11.sng7.noarch conflicts with file from package fail2ban-sendmail-0.9.7-1.el7.noarch
  file /var/lib/asterisk/sounds/en/core-sounds-en.txt from install of asterisk-sounds-core-en-wideband-1.5-2.sng7.noarch conflicts with file from package asterisk-sounds-core-en-gsm-1.4.25-94_centos5.noarch
  file /var/lib/asterisk/sounds/en/extra-sounds-en.txt from install of asterisk-sounds-extra-en-wideband-1.5-2.sng7.noarch conflicts with file from package asterisk-sounds-extra-en-gsm-1.4.14-100_centos5.noarch


Ya that clearly shows your upgrades was a early one before we worked out the fail2ban and sound file issues. Just

yum erase fail2ban-server asterisk-sounds-core-en-gsm asterisk-sounds-extra-en-gsm